petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSysInitializePackage

This function initializes everything in the main Petsc package. It is called from PetscDLLibraryRegister_petsc() when using dynamic libraries, and on the call to PetscInitialize() when using shared or static libraries.

### Synopsis

    PetscErrorCode  PetscSysInitializePackage(void)

### See Also

PetscInitialize()

### Level

developer

### Location

src/sys/classes/viewer/interface/dlregispetsc.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages